Clone a grader
curl --request POST \
--url https://app.egma.ai/v1/grader-library/{graderDefinitionId}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"definition": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"grader": {
"id": "<string>",
"projectId": "<string>",
"graderDefinitionId": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"modalities": [
"chat"
],
"scopeEditable": true,
"removable": true,
"scope": {
"simulations": [
{
"kind": "all"
}
],
"production": {
"samplePercent": 50.5
}
},
"settings": {},
"passThreshold": 0.5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Graders
Clone a grader
Copy the current LLM definition and this project’s effective settings into an independent custom grader. Historical versions and code graders cannot be cloned. The clone receives no source updates.
POST
/
v1
/
grader-library
/
{graderDefinitionId}
/
clone
Clone a grader
curl --request POST \
--url https://app.egma.ai/v1/grader-library/{graderDefinitionId}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"definition": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"grader": {
"id": "<string>",
"projectId": "<string>",
"graderDefinitionId": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"modalities": [
"chat"
],
"scopeEditable": true,
"removable": true,
"scope": {
"simulations": [
{
"kind": "all"
}
],
"production": {
"samplePercent": 50.5
}
},
"settings": {},
"passThreshold": 0.5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1